Subject: bug#28607: 27.0.50; help-fns unsolicited elisp loading

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 May 2019 20:01:08 +0100

On May 20, 2019 6:49:34 PM GMT+01:00, Noam Postavsky <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> >> +@node Autoload by Prefix
> >> +@subsection Autoload by Prefix
> >
> > I think a "@cindex autoload by prefix" would be good here.
> 
> Sure.
> 
> >> +During completion for the commands @code{describe-variable} and
> >> +@code{describe-function}, Emacs will try to load files which may
> >> +contain definitions matching the prefix being completed.  The
> variable
> >> +@code{definition-prefixes} holds a hashtable which maps a prefix
> to
> >> +the corresponding list of files to load for it.  Entries to this
> >> +mapping are added by calls to @code{register-definition-prefixes}
> >> +which are generated by @code{update-file-autoloads}.  Files which
> >> +don't contain any definitions worth loading (test files, for
> >> +examples), should set @code{autoload-compute-prefixes} to
> @code{nil}
> >> +as a file-local variable.
> >
> > I would add a cross-reference to where update-file-autoloads is
> > described after it's mentioned.
> 
> Um, how should I do this?  I tried (I've also added
> @anchor{update-file-autoloads} below @findex update-file-autoloads):
> 
>     the corresponding list of files to load for it.  Entries to this
>     mapping are added by calls to @code{register-definition-prefixes}
>     which are generated automatically (@pxref{update-file-autoloads,
>     @code{update-file-autoloads}}).  Files which don't contain any
> 
> But it looks rather strange, it adds an extra period.
> 
>   corresponding list of files to load for it.  Entries to this mapping
>     are added by calls to `register-definition-prefixes' which are
>     generated automatically (*note `update-file-autoloads'
>     .).  Files which don't contain any definitions

You don't hzve to add @anchor, it's good enough to point to the node.